Subject: Re: Problem with 'cvs login'
From: Brian Dessent <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Date: Tue, 26 Apr 2005 15:38:29 -0700

"Rancier, Jeff" wrote:

> That resolved that issue, as far as I can tell, now I'm getting the
> following:
> 
> $ cvs -d :pserver:jrancier@jrancier:/usr/local/cvsroot login
> Logging in to :pserver:jrancier@jrancier:2401/usr/local/cvsroot
> CVS password:
> cvs login: authorization failed: server jrancier rejected access to
> /usr/local/cvsroot for user jrancier
> 
> I did a chmod 777 on /usr/local/cvsroot, stopped and started xinetd, but
> still get the same.  Any other suggestions?

Did you create the password file /usr/local/cvsroot/CVSROOT/passwd and
allow access for 'jrancier'?

By the way, you don't have to go through all the trouble of setting up
pserver if you just want a local CVS repository.  Just set $CVSROOT and
use normal cvs commands, and it will access the files locally.  pserver
is fairly insecure and if you plan to access it remotely you should use
the "CVS_RSH=ssh" access method instead.  About the only thing pserver
is useful for is if you want a publicly available anonymous read-only
repository.  My apologies if you knew this already.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/